Subject: garbled screen after pico exits

From: Vasily Lewis <[email-masked]>
Date: Fri, 6 Dec 1996 16:31:29 -0600 (CST)

Greets,

  I've recently built pine 3.95 for NetBSD.  Pine itself works fine.  Pico
itself works fine (afaik).  The problem occurs when exiting pico *in* pine
after a finished compose session.  For some reason, it appears as though
the "redraw" that would normally occur fails, and the new text is simply
scrolled onto the screen lines at a time, with what appear to be escaped
control codes.  I'm hoping this is a known problem, and someone can offer
some guidance.  I've been unable to locate mention of this in any of the
documentation or FAQs.  

  I have tried to isolate the problem to pico by enabling another editor
for message composition, but alas pico is still invoked to for the
headers, so the problem still occurs.  To be more precise.. it occurs
after the user confirms a ^C cancel, or confirms a ^X send.  The problem
persists from a variety of terminal types (vt100/vt102/xterm/screen).
Pico has been built w/ TERMCAP as the os_unix.h file indicates for a bsd
system.  Any help is appreciated.

-Vasily Lewis
--
|========================_======___=========_____==[[email-masked]]=
|Its a damned poor mind | | /| / (_)__  ___/ / _ \__ _____  ___  ___ ____
|that can only think of | |/ |/ / / _ \/ _  / , _/ // / _ \/ _ \/ -_) __/
|one way to spell a word|__/|__/_/_//_/\_,_/_/|_|\_,_/_//_/_//_/\__/_/===